#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: turtle
version: 1.5.7
id: turtle-1.5.7-9T9tBV4eZdkIKM6pl0IBQB
key: turtle-1.5.7-9T9tBV4eZdkIKM6pl0IBQB
license: BSD3
copyright: 2015 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.
    .
    Features include:
    .
    * Batteries included: Command an extended suite of predefined utilities
    .
    * Interoperability: You can still run external shell commands
    .
    * Portability: Works on Windows, OS X, and Linux
    .
    * Exception safety: Safely acquire and release resources
    .
    * Streaming: Transform or fold command output in constant space
    .
    * Patterns: Use typed regular expressions that can parse structured values
    .
    * Formatting: Type-safe @printf@-style text formatting
    .
    * Modern: Supports @text@ and @system-filepath@
    .
    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide
    .
    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.
category: System
author: Gabriel Gonzalez
exposed: True
indefinite: False
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial
hidden-modules: Turtle.Internal
abi: 147ab432491a744b589e3f145b6923a9
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/turtle-1.5.7
library-dirs: /usr/lib/ghc-8.2.2/site-local/turtle-1.5.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/turtle-1.5.7
hs-libraries: HSturtle-1.5.7-9T9tBV4eZdkIKM6pl0IBQB
depends:
    base-4.10.1.0 ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ
    async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd bytestring-0.10.8.2
    clock-0.7.2-HOYfHHJ3W4Qjx04GjA0Jy containers-0.5.10.2
    directory-1.3.0.2 exceptions-0.8.3-FtqgxeR4VUg9hGcIqYr2bq
    foldl-1.3.7-2JgJmL4actNGOp15YalQvi
    hostname-1.0-5lbge5b93EG9eAOssUn3b3
    managed-1.0.6-Gbt3igiK5MQ1kU7dtfBy79 process-1.6.1.0
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q
    system-filepath-0.4.14-ETPlR1qpo7G81AFwvpRqut
    system-fileio-0.3.16.3-4BoQEVq39n0KyObJ85HJCq
    stm-2.4.5.0-7j9Z9j03i0pHiTKIV2qS3x
    temporary-1.2.1.1-C4Oi7my6bSWB1kyblmdgo2
    text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj time-1.8.0.2
    transformers-0.5.2.0
    optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx
    optional-args-1.0.2-s8wO6PQfTnDlopg07Senp
    unix-compat-0.4.3.1-9X6l1OQmDE7ClflprogzfQ unix-2.7.2.2
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             ansi-wl-pprint-0.6.8.2-E1jzAtdZkw96Y4IbjE26uJ=7f339a79a1750db95a805ca35af9fdbc
             async-2.1.1.1-8ROwjo1yVqvF3cWHtq6DEd=576b92c3ea42677785425376467cda48
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             clock-0.7.2-HOYfHHJ3W4Qjx04GjA0Jy=470e222fa2e667466d74f5fe3f720e74
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             exceptions-0.8.3-FtqgxeR4VUg9hGcIqYr2bq=eff2744d823431f8209ca0d87f216828
             foldl-1.3.7-2JgJmL4actNGOp15YalQvi=369fe610b838bd3be3cb1d6dfb6b86df
             hostname-1.0-5lbge5b93EG9eAOssUn3b3=270c3e4b2339ba09b506dd9c87618185
             managed-1.0.6-Gbt3igiK5MQ1kU7dtfBy79=0e38e3e1271022fcb81992e058e047d9
             process-1.6.1.0=df30c64bceb5deb119c7833d040aa380
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=c739600aa012ae17eb506df1a043419b
             system-filepath-0.4.14-ETPlR1qpo7G81AFwvpRqut=575eb0ba6f371b466103607dbcc0a01c
             system-fileio-0.3.16.3-4BoQEVq39n0KyObJ85HJCq=b2d4acd489d4d6d3551c11f6c8f30bf0
             stm-2.4.5.0-7j9Z9j03i0pHiTKIV2qS3x=ad99cb175fde1a67819ef6519a4015eb
             temporary-1.2.1.1-C4Oi7my6bSWB1kyblmdgo2=b86cfc09a1f585d90dca5d21791f6633
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             optparse-applicative-0.14.2.0-EglcoYfMOp85SjMyUAe4sx=99d3b6185b97a50267713e5e4f714d8c
             optional-args-1.0.2-s8wO6PQfTnDlopg07Senp=37430e68bed9e96685fec5c0c2cf705c
             unix-compat-0.4.3.1-9X6l1OQmDE7ClflprogzfQ=5b179f57b538cadc8b677d453ca08cb0
             unix-2.7.2.2=1e3caa57de79efd01f1c7566785dcafa
haddock-interfaces: /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html: /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

